﻿using Syncfusion.GridExcelConverter;
using Syncfusion.GroupingGridExcelConverter;
using System;
using System.Data;
using System.Globalization;
using System.IO;
using System.Threading;
using System.Windows.Forms;

namespace GridExportToExcel
{
    public partial class Form1 : Form
    {
        
        public Form1()
        {
            InitializeComponent();
        }

        private void AddColumns(DataSet ds)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("ValueString", typeof(string));
            dt.Columns.Add("ValueDouble", typeof(decimal));          
            ds.Tables.Add(dt);
        }

        private void AddData(DataSet ds)
        {
            decimal value = 132.23M;
            var dt = ds.Tables[0];
            dt.Rows.Add(string.Format("€{0:N2} euro", value), value);
            dt.Rows.Add(string.Format("€{0:N2}", value), value);           
        }

        private void CreateData()
        {
            DataSet ds = new DataSet();
            this.AddColumns(ds);
            this.AddData(ds);
            this.gridGroupingControl1.DataSource = ds.Tables[0];
        }        

        private void button1_Click(object sender, EventArgs e)
        {
            new Thread((ThreadStart)delegate
            {
                string filename = "Rapportage (" + DateTime.Now.ToString("dd-MM-yyyy hh.mm.ss") + ")";
                string filePath = Path.Combine(@"C:\", filename + ".xlsx");
                ConverterOptions allOptions = ConverterOptions.Default & ConverterOptions.ColumnHeaders & ConverterOptions.RowHeaders & ConverterOptions.Visible;

                // Export the GridGroupingControl content to a file
                new GroupingGridExcelConverterControl().GroupingGridToExcel(this.gridGroupingControl1, filePath, allOptions);

            }).Start();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.SetNfiValue();
            this.CreateData();
        }
    }
}
